Skip to main content
GET
/
api
/
audit-trail
/
records
List Audit Records
curl --request GET \
  --url https://api.example.com/api/audit-trail/records \
  --header 'Authorization: Bearer <token>'
{
  "records": [
    {
      "id": "<string>",
      "event_type": "<string>",
      "category": "<string>",
      "summary": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "actor": "<string>",
      "application_id": "<string>",
      "application_key": "<string>",
      "application": {
        "id": "<string>",
        "key": "<string>",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "accent_color": "<string>",
        "param_count": 0
      },
      "entity_type": "<string>",
      "entity_id": "<string>",
      "severity": "low",
      "params": {},
      "metadata": {},
      "ip_address": "<string>"
    }
  ],
  "total": 0,
  "page": 1,
  "page_size": 50,
  "total_pages": 0
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:50
Required range: 1 <= x <= 200
search
string | null
event_types
string | null

Comma-separated event types

categories
string | null

Comma-separated categories

actors
string | null

Comma-separated actors

entity_type
string | null
entity_id
string | null
severities
string | null

Comma-separated severities

date_from
string<date-time> | null
date_to
string<date-time> | null
application_id
string | null
registered_params_only
boolean
default:false
param_filters
string | null

JSON array of {key, operator, value}

sort_by
string
default:created_at
sort_dir
string
default:desc

Cookies

antidote_session
string | null

Response

Successful Response

records
AuditRecordResponse · object[]
total
integer
default:0
page
integer
default:1
page_size
integer
default:50
total_pages
integer
default:0